Custom Troop Trees

Mount & Blade: Warband mod |

Follow 66

Experimental (read: untested) merge of CTT and Freelancer 1.5 (which includes Diplomacy). Requires Warband version 1.161 or higher. DO NOT PLAY WITH WSE. May or may not be compatible with CTT saves, I haven't tested, but definitely not compatible with regular Freelancer saves.

EXPERIMENTAL - CTT with Freelancer (08/09/2017)

Related to Full Version

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: